Set a provider billing source
curl --request PUT \
--url https://api.arklow.io/v1/orgs/{org_id}/billing/sources/ \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"source": "gcp",
"credential_id": "<string>",
"config": {
"type": "bigquery",
"project": "<string>",
"dataset": "<string>",
"table": "<string>"
}
}
'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/billing/sources/"
payload = {
"source": "gcp",
"credential_id": "<string>",
"config": {
"type": "bigquery",
"project": "<string>",
"dataset": "<string>",
"table": "<string>"
}
}
headers = {
"x-arklow-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-arklow-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'gcp',
credential_id: '<string>',
config: {type: 'bigquery', project: '<string>', dataset: '<string>', table: '<string>'}
})
};
fetch('https://api.arklow.io/v1/orgs/{org_id}/billing/sources/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"org_id": "<string>",
"credential_id": "<string>",
"source": "baseten",
"config": {
"type": "bigquery",
"project": "<string>",
"dataset": "<string>",
"table": "<string>"
},
"next_poll_at": "2023-11-07T05:31:56Z",
"last_polled_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"last_error_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}Set a provider billing source
PUT
/
v1
/
orgs
/
{org_id}
/
billing
/
sources
/
Set a provider billing source
Authorizations
Path Parameters
Pattern:
^[0-9]+$Body
application/json